Page MenuHomePhabricator

Setup new MX204 in knams
Closed, ResolvedPublic

Description

https://netbox.wikimedia.org/dcim/devices/2307/ is currently racked in esams.

We need to move it to knams to replace the current cr2-knams.

The configuration should be ready to only need to be connected to esams (via a 3*10Gbps bundle) to be reachable and managed.

  • Do T237031
  • Confirm that the configured interfaces mapping is the following and populate optics:
oldnewdescriptionopticscableid
xe-0/0/0xe-0/1/0Transport: GBLX leg 1 {#14006}10G-ZR#021465
xe-0/0/1xe-0/1/1Transit: Datahop {#14011}10G-LR#021471
xe-0/0/2xe-0/1/2Transit: Tele2 {#13443}10G-LR#021470
xe-0/0/3xe-0/1/3Transport: Relined {SMF4303}10G-ZR#021464
xe-1/0/0xe-0/1/4Transport: (GBLX leg 2) {#14007}10G-ZR#021466
xe-1/1/0xe-0/1/5Transport: GTT VPLS {#0010285}10G-LR#021467
xe-1/2/0xe-0/1/6Transit: Init7 {#14009}10G-LR#021469
xe-1/3/0xe-0/1/7Transit: LibertyGlobal {#017391}10G-LR#021468

Onsite steps:

  • Optional: depool esams, if not, disable BGP to transits
  • Ensure knams is the backup path to eqiad
  • Downtime cr2-knams, and related alerts (eg. interfaces, BFD, OSPF, BGP of neighbors)
  • Power off cr2-knams
  • Swap MX204
  • Power on new cr2-knams
  • Connect transport links
  • Check connectivity to cr2-knams
  • Run Homer to ensure configuration is correct
  • Ensure monitoring is happy
  • Connect transit links
  • Enable BGP to transit links
  • Ensure all sessions are established
  • Ensure monitoring is happy for real
  • Optional: repool esams

Details

Related Gerrit Patches:
operations/puppet : productionDisable Juniper alarm check for cr3-knams
operations/puppet : productionRename cr2-knams to cr3-knams
operations/dns : masterRename cr2-knams to cr3-knams

Event Timeline

ayounsi triaged this task as Medium priority.Oct 31 2019, 3:18 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptOct 31 2019, 3:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ayounsi updated the task description. (Show Details)Wed, Nov 13, 7:48 PM
ayounsi updated the task description. (Show Details)Mon, Nov 25, 2:35 PM

Mentioned in SAL (#wikimedia-operations) [2019-11-25T17:19:42Z] <XioNoX> power down cr2-knams - T237030

mark updated the task description. (Show Details)Mon, Nov 25, 5:43 PM
mark updated the task description. (Show Details)Mon, Nov 25, 6:14 PM
faidon renamed this task from setup new MX204 in knams to Setup new MX204 in knams.Mon, Nov 25, 7:10 PM
faidon updated the task description. (Show Details)

Change 552952 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/dns@master] Rename cr2-knams to cr3-knams

https://gerrit.wikimedia.org/r/552952

Change 552953 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Rename cr2-knams to cr3-knams

https://gerrit.wikimedia.org/r/552953

Mentioned in SAL (#wikimedia-operations) [2019-11-26T06:34:30Z] <XioNoX> Rename cr2-knams to cr3-knams - T237030

Change 552952 merged by Ayounsi:
[operations/dns@master] Rename cr2-knams to cr3-knams

https://gerrit.wikimedia.org/r/552952

Change 552953 merged by Ayounsi:
[operations/puppet@production] Rename cr2-knams to cr3-knams

https://gerrit.wikimedia.org/r/552953

ayounsi closed this task as Resolved.Tue, Nov 26, 6:44 AM
ayounsi claimed this task.

All done.

Change 553099 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Disable Juniper alarm check for cr3-knams

https://gerrit.wikimedia.org/r/553099

Change 553099 merged by Ayounsi:
[operations/puppet@production] Disable Juniper alarm check for cr3-knams

https://gerrit.wikimedia.org/r/553099